GPU-VIEWER(1)

NAME
gpu-viewer - a GUI front-end for glxinfo, vulkaninfo, clinfo, es2_info and vdpauinfo

SYNOPSIS
gpu-viewer

DESCRIPTION
GPU-Viewer is a graphical user interface that consolidates and displays important GPU-related information from several command-line tools:

glxinfo

vulkaninfo

clinfo

es2_info

vdpauinfo (X11 only)

It extracts and presents data in a structured, user-friendly manner without requiring direct OpenGL programming knowledge.

The application is written in Python 3 using PyGObject with GTK4 and relies on the underlying tools to function correctly.

OPTIONS
The program does not accept any command-line options. It launches directly into the graphical interface.

FILES
/usr/bin/gpu-viewer
    The executable binary.
/usr/share/gpu-viewer/
    Application data and resources.

BUGS
Known issues and troubleshooting steps can be found in the project issue:

https://github.com/arunsivaramanneo/GPU-Viewer/issues (https://github.com/arunsivaramanneo/GPU-Viewer/issues)

SEE ALSO
glxinfo(1), vulkaninfo(1), clinfo(1), es2_info(1) vdpauinfo(1)

AUTHOR
Developed by Arun Sivaraman and contributors.

Project homepage: https://github.com/arunsivaramanneo/GPU-Viewer (https://github.com/arunsivaramanneo/GPU-Viewer)